### Constructor

# Gio Settings new_with_backend_and_path

since: 2.26

#### Declaration [src]

    GSettings*
    g_settings_new_with_backend_and_path (
      const gchar* schema_id,
      GSettingsBackend* backend,
      const gchar* path
    )

#### Description [src]

Creates a new `GSettings` object with the schema specified by `schema_id` and a given `GSettingsBackend` and path.

This is a mix of `g_settings_new_with_backend()` and `g_settings_new_with_path()`.

Available since: 2.26

#### Parameters

`schema_id`

  Type: `const gchar*`

  The ID of the schema.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`backend`

  Type: `GSettingsBackend`

  The settings backend to use.

  The data is owned by the caller of the function.

`path`

  Type: `const gchar*`

  The path to use.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GSettings`

A new `GSettings` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.